Bug 28305 - Remove doc reference to XML::Simple in C4::Context
Summary: Remove doc reference to XML::Simple in C4::Context
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on: 28278
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-10 00:29 UTC by David Cook
Modified: 2021-05-18 10:26 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28305: Remove doc reference to XML::Simple in C4::Context (806 bytes, patch)
2021-05-10 00:31 UTC, David Cook
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2021-05-10 00:29:17 UTC
C4::Config doesn't need a doc reference to XML::Simple, especially not since Bug 28278 was pushed.
Comment 1 David Cook 2021-05-10 00:31:58 UTC
Created attachment 120751 [details] [review]
Bug 28305: Remove doc reference to XML::Simple in C4::Context

We don't need a See Also reference to XML::Simple in the C4::Context,
especially since Bug 28278 replaced the parsing of koha-conf.xml
with XML::LibXML.

Test plan:
1. Apply patch
2. perldoc C4/Context.pm
Comment 2 Jonathan Druart 2021-05-17 14:20:11 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 3 Fridolin Somers 2021-05-18 10:26:55 UTC
Depends on Bug 28278 not in 20.11.x